» Ubuntu » Pakketten » lucid (10.04LTS) » ocaml » libfields-camlp4-dev
lucid  ] [  precise  ] [  raring  ] [  saucy  ] [  trusty  ] [  utopic  ]
[ Bron: fieldslib  ]

Pakket: libfields-camlp4-dev (0.1.0-2build1) [universe]

Verwijzigingen voor libfields-camlp4-dev

Screenshot

Ubuntu bronnen:

Het bronpakket fieldslib downloaden:

Beheerder:

Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Original Maintainers (usually from Debian):

  • Debian OCaml Maintainers (Mailarchief)
  • Stefano Zacchiroli

It should generally not be necessary for users to contact the original maintainer.

Externe bronnen:

Vergelijkbare pakketten:

OCaml syntax extension that enables folding over record fields

fieldslib is an OCaml syntax extension that can be used to define first class values representing record fields. On top of those values additional routines can then be automatically defined to:

 - get and set record fields
 - iterate and fold over fields
 - create new record values

fieldslib is built on top of CamlP4.

Andere aan libfields-camlp4-dev gerelateerde pakketten

  • depends
  • recommends
  • suggests
  • enhances

libfields-camlp4-dev downloaden

Pakket downloaden voor alle beschikbare platforms
Platform Pakketgrootte Geïnstalleerde grootte Bestanden
amd64 12,5 kB200,0 kB [overzicht]
i386 12,4 kB200,0 kB [overzicht]